description: >
  A burts rule example.

metadata:
  name: Burst

resources:
  mapping:
    type: Cybus::Mapping
    properties:
      mappings:
        - subscribe:
            topic: 'factory/machine/temperature/single'
          publish:
            topic: 'factory/machine/temperature/combined'
          rules:
            - burst:
                interval: 300000
                maxSize: 100
